! Exemple de boucle DO
! Auteur: M. Planeto 03/03/2013
PROGRAM boucle_do
USE imprime
IMPLICIT NONE 
  integer :: i, i2, nfin
  CALL invite(nfin)
  DO i=0,nfin,2          !! POUR CHAQUE i dans [0,nfin] a pas de 2
    CALL carre(i,i2)     !! ... ACTION dependant de i
    print*,i,"carre=",i2 !! ... ACTION dependant de i
  END DO                 !! FERMETURE DE BOUCLE
END PROGRAM boucle_do
